from turtle import *


def drawDisc(radius, color):
    pd()
    pen(fillcolor = color)
    begin_fill()
    circle(radius)
    end_fill()
    pu()


def initializeTurtle(radius):
    """initialize turtle on canvas before drawing"""
    setup(2*radius+200, 2*radius+200) # Create a turtle window
    reset() # Clear any existing turtle drawings
            # and reset turtle position & heading.
    pensize(1) # Choose a pen thickness
    speed(0) # Set the speed; 0=fastest, 1=slowest, 6=normal
    pu()
    setx(0)
    sety(-radius)
    pd()

def testConcentricCirc(radius, thickness, color1, color2):
    initializeTurtle(radius)
    concentricCirc(radius, thickness, color1, color2)
    s = "figs/concentricCirc\({}-{}-{}-{}).eps"
    title = s.format(radius, thickness, color1, color2)
    getscreen().getcanvas().postscript(file=title)


def concentricCirc(radius, thickness, color1, color2):
    if radius < thickness:
        pass # do nothing
    else:
        drawDisc(radius, color1)
        lt(90);  fd(thickness);  rt(90)
        concentricCirc(radius - thickness, thickness, color2, color1)
        lt(90);  bk(thickness);  rt(90)



if __name__ == '__main__':
    testConcentricCirc(300, 30, '#009bce', '#c2e8ea')
    #testConcentricCirc(300, 50, 'coral', 'yellow')
    #testConcentricCirc(300, 80, 'blue', 'cyan')
    exitonclick()
