
from turtle import *


def spiralBack(sideLen, angle, scaleFactor, minLength):
    '''
    Recursively creates a spiral, takes these parameters:
    1. sideLen is the length of the current side;
    2. angle is the amount the turtle turns left to draw the next side;
    3. scaleFactor is the multiplicative factor by which to scale the next side 
    (it is between 0.0 and 1.0);
    4. minLength is the smallest side length that the turtle will draw.
    '''
    if sideLen < minLength:
        pass 
    else:
        fd(sideLen)
        lt(angle)
        spiralBack(sideLen*scaleFactor, angle, scaleFactor, minLength)
        rt(angle)
        bk(sideLen)



if __name__ == '__main__':
     reset()
     speed(0)
     pu()
     bk(200)
     lt(90)
     bk(200)
     rt(90)
     pd()
     spiralBack(400, 121, 0.95, 15)
     #getscreen().getcanvas().postscript(file="spiral.eps")
